fetch_heads {git2r} | R Documentation

## Get updated heads during the last fetch.

### Description

Get updated heads during the last fetch.

### Usage

    fetch_heads(repo)

    ## S4 method for signature 'git_repository'
    fetch_heads(repo)

### Arguments

`repo` | the repository

### Value

list with the S4 class `git_fetch_head` entries. NULL if there is no FETCH_HEAD file.

### Examples

    ## Not run:
    ## Initialize three temporary repositories
    path_bare <- tempfile(pattern="git2r-")
    path_repo_1 <- tempfile(pattern="git2r-")
    path_repo_2 <- tempfile(pattern="git2r-")

    dir.create(path_bare)
    dir.create(path_repo_1)
    dir.create(path_repo_2)

    bare_repo <- init(path_bare, bare = TRUE)
    repo_1 <- clone(path_bare, path_repo_1)
    repo_2 <- clone(path_bare, path_repo_2)

    config(repo_1, user.name="Alice", user.email="alice@example.org")
    config(repo_2, user.name="Bob", user.email="bob@example.org")

    ## Add changes to repo 1
    writeLines("Lorem ipsum dolor sit amet",
               con = file.path(path_repo_1, "example.txt"))
    add(repo_1, "example.txt")
    commit(repo_1, "Commit message")

    ## Push changes from repo 1 to origin (bare_repo)
    push(repo_1, "origin", "refs/heads/master")

    ## Fetch changes from origin (bare_repo) to repo 2
    fetch(repo_2, "origin")

    ## List updated heads
    fetch_heads(repo_2)

    ## End(Not run)

[Package git2r version 0.20.0 Index]